/*stylesheet for newssite*/

body {
  padding: 3.5%;
  font-family: sans-serif;
}

/*styling for header*/

header {
  display: flex;
  height: 2rem;
  width: 100%;
  border-bottom: 1px solid gray;
  box-shadow: 0px 10px 5px -5px gray;
  padding: 0rem 1rem 1rem 0rem;
  align-items: center;
}

header h1 {
  flex-grow: 10;
  font-size: 3.5rem;
  text-align: justify;
}

header img {
  height: auto;
  width: 5vw;
}

/*styling for anchor tag*/

a {
  text-decoration: none;
  color: black;
}

/*styling for navigation bar*/

.navigationbar a {
  display: inline-block;
  height: 4vh;
  width: 24%;
  margin: 1rem 0rem;
  padding: 1rem 0rem 0rem 0rem;
  text-align: center;
  font-size: 1.5rem;
  text-decoration: none;
  color: gray;
}

/*styling for main news (image and text)*/

.main-news {
  border: 0.2px solid #e3e8ef;
  padding: 0rem;
  width: 100%;
  height: 60vh;
  overflow: hidden;
  position: relative;
}

.main-news img {
  width: 100%;
  height: auto;
  position: absolute;
}

.main-news-text {
  position: absolute;
  bottom: 0rem;
  background-color: white;
  width: 100%;
  color: black;
  opacity: 0.8;
  padding: 0.5rem 0.5rem;
}

.main-news-text h3 {
  font-size: 1.5rem;
}

.main-news-text p {
  font-size: 1rem;
}

/*styling for top news area*/

.top-news {
  display: flex;
  flex-direction: row;
  font-size: 1.5rem;
  justify-content: space-between;
  border-bottom: 1px solid gray;
  margin-top: 1.5rem;
}

.top-news h4 {
  font-weight: normal;
  margin: 0;
}

.top-news-items {
  border-bottom: 1px solid #e3e8ef;
  border-top: 1px solid #e3e8ef;
  padding: 1rem 0rem;
}

/*styling for table*/

table {
  width: 100%;
  text-align: left;
  padding: 1.5rem;
  font-size: 1.5rem;
  line-height: 2em;
  margin: 1.5rem 0rem 1.5rem 0rem;
  border-collapse: collapse;
}

.sports-content {
  display: inline;
}

/*styling for weather information*/

.weather-news h3 {
  font-size: 2rem;
  font-weight: normal;
  margin-bottom: 0rem;
  margin-top: 0rem;
}

.weather-news p {
  font-size: 1.5rem;
  margin-top: 0rem;
}

.current-weather {
  display: flex;
  width: 100%;
}

.current-weather img {
  width: 15%;
  height: auto;
}

.weather-items-overall {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-around;
  width: 100%
}

.weather-item {
  width: 20%;
  border: 1px white;
  height: auto;
}

.weather-item img {
  width: 70%;
  height: auto;
}

.weather-text {
  display: flex;
  padding: 0.5rem;
  font-size: 1rem;
  margin-right: 1rem;
  justify-content: space-around;
}

/*styling for latest news area*/

.latest-news {
  display: flex;
  flex-direction: row;
  font-size: 2rem;
  justify-content: space-between;
  border-bottom: 1px solid gray;
  margin-top: 1.5rem;
}

.latest-news h4 {
  font-weight: normal;
  margin: 0;
}

.latest-news-items img {
  width: 10%;
  height: auto;
  float: left;
  padding: 1rem;
}

.latest-news-items h4 {
  padding: 1rem 0rem 0rem 0rem;
  font-size: 1.1rem;
  font-weight: normal;
}

.latest-news-items p {
  font-size: 0.9rem;
  margin-block-start: 1rem;
}

/*styling for footer*/

footer {
  border-top: 0.2px solid gray;
  border-bottom: 0.2px solid gray;
  box-shadow: 0px 10px 5px -5px gray;
}

footer a {
  padding: 1rem 2rem;
  display: inline-block;
  font-size: 1rem;
}

/*For medium screens (tablets)*/

@media only screen and (max-width: 992px) {
  body {
    padding: 0;
    font-family: sans-serif;
  }
  .container {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: auto;
    height: auto;
  }
  .main-news-overall {
    display: grid;
    grid-column: 1;
    grid-row: 1;
  }
  .main-news-text {
    background-color: black;
    color: white;
    opacity: 0.5;
  }
  .weather-news {
    display: grid;
    grid-column: 2;
    grid-row: 1;
  }
  .topnews-overall {
    display: grid;
    grid-column: 1/3;
    grid-row: 2;
  }
  .sports-table {
    display: grid;
    grid-column: 1/3;
    grid-row: 3;
  }
  th {
    background-color: rgb(121, 144, 179);
  }
  tr:nth-child(odd) {
    background-color: rgb(220, 230, 245);
  }
  .latest-news-overall {
    display: grid;
    grid-column: 1/3;
    grid-row: 4;
    font-size: 2rem;
  }
}

/*for small screens (mobile phones)*/

@media only screen and (max-width: 768px) {
  header {
    border-bottom: 0rem;
    box-shadow: 0rem 0rem;
    padding: 0rem 0rem 1rem 0rem;
  }
  header a {
    float: right;
  }
  header h1 {
    font-size: 2rem;
  }
  .hamburger {
    width: 3rem;
    height: 0.4rem;
    background-color: gray;
    margin: 0.4rem 0;
  }
  .navigationbar {
    display: none;
  }
  .container {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    height: auto;
  }
  .main-news-overall {
    display: grid;
    grid-column: 1;
    grid-row: 1;
  }
  .main-news-text {
    background-color: black;
    color: white;
    opacity: 0.5;
  }
  .weather-news {
    display: grid;
    grid-column: 1;
    grid-row: 4;
  }
  .topnews-overall {
    display: grid;
    grid-column: 1;
    grid-row: 2;
  }
  .sports-table {
    display: grid;
    grid-column: 1;
    grid-row: 3;
  }
  .latest-news-overall {
    display: grid;
    grid-column: 1;
    grid-row: 5;
    font-size: 1.5rem;
  }
}